# Sample NRPE Config File
log_facility=daemon
log_facility=local1
pid_file=/var/run/nrpe/nrpe.pid
server_port=5666
server_address=192.168.1.2
nrpe_user=nrpe
nrpe_group=nrpe

allowed_hosts=54.234.180.180,10.209.0.6,172.31.48.231,172.31.59.211,34.205.69.220,188.214.17.248,142.93.109.129,35.232.93.107

dont_blame_nrpe=1
allow_bash_command_substitution=0
debug=0

command_timeout=60
connection_timeout=300

#allow_weak_random_seed=1
#include=<somefile.cfg>
#include_dir=<somedirectory>

# The following examples use hardcoded command arguments...

command[check_users]=/usr/lib64/nrpe/plugins/check_users -w 5 -c 10
command[check_load]=/usr/lib64/nrpe/plugins/check_load -w 15,10,5 -c 30,25,20
command[check_hda1]=/usr/lib64/nrpe/plugins/check_disk -w 20% -c 10% -p /dev/hda1
command[check_zombie_procs]=/usr/lib64/nrpe/plugins/check_procs -w 5 -c 10 -s Z
command[check_total_procs]=/usr/lib64/nrpe/plugins/check_procs -w 150 -c 200

command[check_linux_disk]=/usr/bin/sudo /usr/lib64/nagios/plugins/check_disk $ARG1$ $ARG2$

command[check_linux_load]=/usr/lib64/nagios/plugins/check_load $ARG1$
command[check_linux_swap]=/usr/lib64/nagios/plugins/check_swap $ARG1$
command[check_linux_mailq]=/usr/lib64/nagios/plugins/check_mailscannerqueue $ARG1$
command[check_mailscanner]=/usr/lib64/nagios/plugins/check_pendingqueue $ARG1$
command[check_mysql_alive]=/usr/lib64/nagios/plugins/check_tcp $ARG1$
command[check_linux_memory]=/usr/lib64/nagios/plugins/check_memory $ARG1$
command[check_linux_ssh]=/usr/lib64/nagios/plugins/check_ssh -4 -p22 localhost
command[check_linux_postqueue]=/usr/lib64/nagios/plugins/check_postqueue $ARG1$
command[check_linux_http]=/usr/lib64/nagios/plugins/check_http $ARG1$
command[check_mysql_health]=/usr/lib64/nagios/plugins/check_mysql_health $ARG1$
command[check_procs]=/usr/lib64/nagios/plugins/check_procs $ARG1$
command[check_nginx]=/usr/lib64/nagios/plugins/check_nginx $ARG1$
command[check_phpfpm]=/usr/lib64/nagios/plugins/check_phpfpm -H 10.208.99.25 -w 1 -c 0 -t 1
command[check_redis]=/usr/lib64/nagios/plugins/check_redis $ARG1$
command[check_varnish]=/usr/lib64/nagios/plugins/check_varnish $ARG1$
command[check_haproxy_stats]=/usr/lib64/nagios/plugins/check_haproxy $ARG1$ -U admin -P d8z4a80 --http-error-critical

command[check_linux_ftp]=/usr/lib64/nagios/plugins/check_ftp -H zira.go.ro $ARG1$
command[check_linux_smtp]=/usr/lib64/nagios/plugins/check_smtp -H zira.go.ro $ARG1$
command[check_linux_pop]=/usr/lib64/nagios/plugins/check_pop -H zira.go.ro $ARG1$
command[check_linux_imap]=/usr/lib64/nagios/plugins/check_imap -H zira.go.ro $ARG1$

include_dir=/etc/nrpe.d/
